> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/payments.md).

# Payments

Zahlungen erfassen

## POST /erp/payments

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Payments","description":"Zahlungen erfassen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/payments":{"post":{"tags":["Payments"],"operationId":"registerPayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-payment-Payment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-ManualPaymentResponse"}}}}}}}},"components":{"schemas":{"erp-payment-Payment":{"description":"beschreibt eine geleistete Zahlung. eins von openItemReceiptId oder openItemId muss gefüllt sein","properties":{"paymentDate":{"type":"string","format":"date","description":"der zahlungstag"},"openItemReceiptId":{"type":"string","description":"Beleg des OPs (optional)"},"openItemId":{"type":"string","description":"der OP"},"paymentAmount":{"type":"number","description":"der zahlungsbetrag"},"discountAmount":{"type":"number","description":"gewährte/einbehaltene skonti"},"companyBankAccountId":{"type":"string","description":"welche Bank des Company-Accounts war beteiligt"},"paymentMethodId":{"type":"string","description":"die Zahlungsmethode"},"direction":{"type":"string","description":"Ein/Auszahlung"},"depositPayment":{"type":"boolean","default":false,"description":"Ist diese Zahlung für die Anzahlung/Vorkasse gedacht"},"dunningPayments":{"type":"array","description":"Alle Mahnzahlungen","items":{"$ref":"#/components/schemas/erp-payment-DunningPayment"}}},"required":["paymentAmount","paymentDate","paymentMethodId"]},"erp-payment-DunningPayment":{"description":"Alle Mahnzahlungen","properties":{"dunningAmount":{"type":"number","description":"Wieviel wird auf die Mahnung gezahlt"},"dunningRecordId":{"type":"integer","format":"int64","description":"Welche Mahnung wird damit bezahlt"}}},"erp-finance-ManualPaymentResponse":{"properties":{"message":{"type":"array","description":"Problems with the manual payment","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true}}},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}}}}}
```

## POST /erp/payments/revert

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Payments","description":"Zahlungen erfassen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/payments/revert":{"post":{"tags":["Payments"],"operationId":"revertPayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentRevertRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-finance-PaymentRevertRequest":{"properties":{"openItemRecordId":{"type":"integer","format":"int64","description":"ID des Records, der storniert werden soll"},"comment":{"type":"string","description":"Kommentar zur Stornierung"}},"required":["openItemRecordId"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
